#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE4,0xE2,0x02,0x03,0x5E,0x9C,0x39,0xA1,0xA8,0x81,0x89,0xC9,
		0x62,0x55,0xBD,0x8B,0x52,0xBF,0xEA,0xF8,0x22,0xC3,0x4B,0xEF,
		0xC1,0x51,0x82,0x37,0xB1,0x09,0x75,0xAD,0x47,0x34,0xDC,0x83,
		0x16,0x28,0x88,0x0D,0x37,0x54,0x63,0x8A,0x57,0x86,0xF1,0xE2,
		0x27,0xB9,0xED,0x48,0x39,0x32,0x9E,0xD6,0x66,0xA1,0x7D,0x52,
		0xC0,0x0C,0x2B,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
